<?php
	session_start();
	include 'koneksi.php';
		
		$username 	= $_SESSION['username'];
		$id			= $_POST['id'];
		$judul		= $_POST['judul'];
		$pengarang	= $_POST['pengarang'];
		$penerbit	= $_POST['penerbit'];
		$kategori	= $_POST['kategori'];
		$tahun		= $_POST['tahun'];
		$harga		= $_POST['harga'];
		$jumlah		= $_POST['jumlah'];
		$keterangan	= $_POST['keterangan'];
		$gambar		= $_POST['gambar'];

		if($_FILES['gambar']['name']) {
			move_uploaded_file($_FILES['gambar']['tmp_name'],'images/'.$judul.'.jpg');
			$profil = 'images/'.$judul.'.jpg';
		}

		$edit = mysqli_query($koneksi, "UPDATE t_buku SET judul='$judul', pengarang='$pengarang', penerbit='$penerbit', kategori='$kategori', tahun='$tahun', harga='$harga', jumlah='$jumlah', gambar='$profil', keterangan='$keterangan', username='$username' WHERE isbn='$id'") or die(mysqli_error());
			if($edit) {
				echo "<script>alert('Data buku $judul berhasil disimpan');window.location = 'processbook.php'</script>";
			}
			else {
				echo "<script>alert('Gagal menyimpan data buku !'); window.location = 'editbook.php'</script>";
			}

?>